/*
###########################################################################################################################################################################
# 
#  [DESCRIPTION]
#   Lazy Viewport Settings V1.0  A smal collection of various viewport view and settings tools (Simplyfy).
#
#  [INFO]
#   - Put the files in maxroot\scripts\ (e.g.: C:\3dsmax2012\Scripts\)
#   - Works with Max 2012 Only
#
#  [CREATION INFO]
#   Author: Raymond Homme Ingebretsen
#   Last Modified: Apr 07, 2011
#
###########################################################################################################################################################################
*/

-- macroScript LazyViewportSettings category:"Ray_Tools" buttonText:"LazyViewportSettings" tooltip:"Viewport tools." Icon:#("LazyViewportSettings",1)

		try (cui.unregisterDialogBar lvs) catch()  -- If already registered, then unregister.
		try (closeRolloutFloater lvs) catch()


rollout StylizedSettings "Viewport Styles" category:1
	(
	  group "Viewport Styles"
		(
			button btn_Graphite "Graphite" width:50 height:32 pos:[10,30]
			button btn_Pencil "Pencil" width:50 height:32 pos:[62,30]
			button btn_Ink "Ink" width:50 height:32 pos:[114,30]
			button btn_ColInk "ColorInk" width:50 height:32 pos:[166,30]
			button btn_Acrylic "Acrylic" width:50 height:32 pos:[10,65]
			button btn_Pastel "Pastel" width:50 height:32 pos:[62,65]
			button btn_Tech "Tech" width:50 height:32 pos:[114,65]
			button btn_Realistic "Realistic" width:50 height:32 pos:[166,65]
			button btn_Shaded "Shaded (Default)" width:207 height:28 pos:[10,110] 
			
		)
		
		on btn_Graphite pressed do
		(
			actionMan.executeAction 0 "613"  -- Nitrous Views: Nitrous Visual Style Graphite
		)      
		
		on btn_Pencil pressed do
		(
			actionMan.executeAction 0 "614"  -- Nitrous Views: Nitrous Visual Style Color Pencil
		)   
		
		on btn_Ink pressed do
		(
			actionMan.executeAction 0 "609"  -- Nitrous Views: Nitrous Visual Style Ink
		)   	
		
		on btn_ColInk pressed do
		(
			actionMan.executeAction 0 "610"  -- Nitrous Views: Nitrous Visual Style Color Ink
		)   
		
		on btn_Acrylic pressed do
		(
			actionMan.executeAction 0 "611"  -- Nitrous Views: Nitrous Visual Style Acrylic
		) 
		
		on btn_Pastel pressed do
		(
			actionMan.executeAction 0 "615"  -- Nitrous Views: Nitrous Visual Style Pastel
		)
		
		on btn_Tech pressed do
		(
			actionMan.executeAction 0 "612"  -- Nitrous Views: Nitrous Visual Style Tech
		)
		
		on btn_Realistic pressed do
		(
			actionMan.executeAction -844228238 "1"  -- Viewport Lighting and Shadows: Viewport Visual Style Realistic
		)
		
		on btn_Shaded pressed do
		(
			actionMan.executeAction 0 "550"  -- Views: Viewport Visual Style Shaded
		)
		
	)
	
	rollout LightShadowSettings "Lighting and Shadows" category:2
	(
	  group "Viewport Lighting"
		(
			button btn_DefSceneLight "Illuminate with Default Lights" width:207 height:18 pos:[10,30]
			button btn_SceneLight "Illuminate with Scene Lights" width:207 height:18 pos:[10,50]
			button btn_Shadows "Shadows On/Off" width:207 height:18 pos:[10,70]
			button btn_AmbientO "Ambient Occlusion On/Off" width:207 height:18 pos:[10,90]
			button btn_VLConfig "Configure Lighting and Shadows" width:207 height:18 pos:[10,110]
		)
		
		on btn_DefSceneLight pressed do
		(
			actionMan.executeAction -844228238 "7"  -- Viewport Lighting and Shadows: Viewport Lighting Illuminate with Default Lights
		)
			
		on btn_SceneLight pressed do
		(
			actionMan.executeAction -844228238 "6"  -- Viewport Lighting and Shadows: Viewport Lighting Illuminate with Scene Lights
		)
		
		on btn_Shadows pressed do
		(
			actionMan.executeAction -844228238 "5"  -- Viewport Lighting and Shadows: Viewport Shadows Toggle
		)
		
		on btn_AmbientO pressed do
		(
			actionMan.executeAction -844228238 "0"  -- Viewport Lighting and Shadows: Viewport Shadows Ambient Occlusion Toggle
		)
		
		on btn_VLConfig pressed do
		(
			actionMan.executeAction -844228238 "4"   -- Viewport Lighting and Shadows: Configure Lighting and Shadows
		)
	)
	
	

rollout ViewportSettings "Viewport Settings" category:3
   (
      group "Viewport Settings"
		(
			button btn_SafeFrame "Safe Frame On/Off" width:207 height:18 pos:[10,30]
			button btn_ViewStat "Viewport Statistic On/Off" width:207 height:18 pos:[10,50]
			button btn_ViewClipping "Viewport Clipping On/Off" width:207 height:18 pos:[10,70]
			button btn_ShowBG "Show BackGround On/Off" width:207 height:18 pos:[10,90]
			button btn_ViewportSettings "Viewport Background Settings" width:207 height:18 pos:[10,110]
		)
      
      group "Camera Settings"
		(
			button btn_OrtoView  "Orthographic View" width:207 height:18 pos:[10,160]
			button btn_PerspectiveView  "Perspective View" width:207 height:18 pos:[10,180]
      
   on btn_SafeFrame pressed do
      (
      actionMan.executeAction 0 "219" -- Tools: Show Safeframes Toggle      
      )
   on btn_ViewStat pressed do
      (
         actionMan.executeAction 0 "40829"  -- Tools: Show Statistics Toggle   
      )
         on btn_ViewClipping pressed do
      (
      actionMan.executeAction 0 "374" -- Tools: Viewport Clipping      
      )
   on btn_ShowBG pressed do
      (
         actionMan.executeAction 0 "342" -- Tools: Show Background Toggle
      )
   on btn_ViewportSettings pressed do
      (
         actionMan.executeAction 0 "40095" -- Views: Viewport Background Settings
      )
   on btn_OrtoView pressed do
      (
		actionMan.executeAction 0 "40183" -- Views: Orthographic User View 
		max vpt iso user
      )   
   on btn_PerspectiveView pressed do
      (
		actionMan.executeAction 0 "40182" -- Views: Perspective User View
		max vpt persp user
      )
   )
)
   rollout lsabout "About" category:4
   (
      HyperLink homepage "www.homme3d.com" address:"http://www.homme3d.com/" color:(color 255 255 255) hovercolor:(color 111 111 111) visitedcolor:(color 255 255 255) align:#center
      label lbl1 "Raymond H.Ingebretsen'2011" align:#center
   )

   lvs=newrolloutfloater "Lazy Viewport Settings" 240 600 300 150
   
   addRollout StylizedSettings lvs rolledUp:false
   addRollout LightShadowSettings lvs rolledUp:false
   addRollout ViewportSettings lvs rolledUp:false
   addRollout lsabout lvs rolledUp:true
   
cui.RegisterDialogBar lvs minSize:[240,600] maxSize:[240,800] style:\
#(#cui_dock_vert, #cui_dock_right, #cui_floatable,#cui_handles,#cui_max_sized)